'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var updateAuthorityBuilder = require('../../programs/candyMachine/transactionBuilders/updateAuthorityBuilder.cjs');
var Operation = require('../../types/Operation.cjs');

// -----------------
// Operation
// -----------------
const Key = 'UpdateAuthorityOperation';
const updateAuthorityOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const updateAuthorityOperationHandler = {
  async handle(operation, metaplex) {
    const {
      candyMachineAddress,
      walletAddress,
      authoritySigner,
      confirmOptions,
      newAuthorityAddress
    } = operation.input;
    const {
      signature,
      confirmResponse
    } = await metaplex.rpc().sendAndConfirmTransaction(updateAuthorityBuilder.updateAuthorityBuilder({
      candyMachine: candyMachineAddress,
      wallet: walletAddress,
      authority: authoritySigner,
      newAuthority: newAuthorityAddress
    }), undefined, confirmOptions);
    return {
      transactionId: signature,
      confirmResponse
    };
  }

};

exports.updateAuthorityOperation = updateAuthorityOperation;
exports.updateAuthorityOperationHandler = updateAuthorityOperationHandler;
//# sourceMappingURL=updateAuthority.cjs.map
