'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var candyMachineInternals = require('./candyMachineInternals.cjs');
var BaseAccount = require('../../../types/BaseAccount.cjs');

class CandyMachineAccount extends BaseAccount.BaseAccount {
  get size() {
    return candyMachineInternals.getSpaceForCandy(this.data.data);
  }

  static getConfigLinesCount(rawData) {
    return candyMachineInternals.getConfigLinesCount(rawData);
  }

  static getConfigLines(rawData) {
    return candyMachineInternals.getConfigLines(rawData);
  }

  static assertName(name) {
    return candyMachineInternals.assertName(name);
  }

  static assertSymbol(symbol) {
    return candyMachineInternals.assertSymbol(symbol);
  }

  static assertUri(uri) {
    return candyMachineInternals.assertUri(uri);
  }

  static assertCreators(creators) {
    candyMachineInternals.assertCreators(creators);
  }

  static assertConfigLineConstraints({
    name,
    uri
  }) {
    CandyMachineAccount.assertName(name);
    CandyMachineAccount.assertUri(uri);
  }

  static from(unparsedAccount) {
    return new CandyMachineAccount(CandyMachineAccount.parse(unparsedAccount, mplCandyMachine.CandyMachine));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? CandyMachineAccount.from(maybe) : maybe;
  }

}

exports.CandyMachineAccount = CandyMachineAccount;
//# sourceMappingURL=CandyMachineAccount.cjs.map
