'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var TransactionBuilder = require('../../../utils/TransactionBuilder.cjs');

function addConfigLinesBuilder(params) {
  const {
    candyMachine,
    authority,
    index,
    configLines,
    instructionKey = 'addConfigLinesToCandyMachine'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplCandyMachine.createAddConfigLinesInstruction({
      candyMachine,
      authority: authority.publicKey
    }, {
      index,
      configLines
    }),
    signers: [authority],
    key: instructionKey
  });
}

exports.addConfigLinesBuilder = addConfigLinesBuilder;
//# sourceMappingURL=addConfigLinesBuilder.cjs.map
