'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var TransactionBuilder = require('../../../utils/TransactionBuilder.cjs');

function updateAuthorityBuilder(params) {
  const {
    candyMachine,
    authority,
    wallet,
    newAuthority,
    instructionKey = 'updateCandyMachineAuthority'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplCandyMachine.createUpdateAuthorityInstruction({
      candyMachine,
      authority: authority.publicKey,
      wallet
    }, {
      newAuthority
    }),
    signers: [authority],
    key: instructionKey
  });
}

exports.updateAuthorityBuilder = updateAuthorityBuilder;
//# sourceMappingURL=updateAuthorityBuilder.cjs.map
