'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var TransactionBuilder = require('../../../utils/TransactionBuilder.cjs');

function updateCandyMachineBuilder(params) {
  const {
    candyMachine,
    authority,
    wallet,
    data,
    instructionKey = 'updateCandyMachine'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplCandyMachine.createUpdateCandyMachineInstruction({
      candyMachine,
      authority: authority.publicKey,
      wallet
    }, {
      data
    }),
    signers: [authority],
    key: instructionKey
  });
}

exports.updateCandyMachineBuilder = updateCandyMachineBuilder;
//# sourceMappingURL=updateCandyMachineBuilder.cjs.map
