import { addConfigLinesBuilder } from '../../programs/candyMachine/transactionBuilders/addConfigLinesBuilder.mjs';
import { useOperation } from '../../types/Operation.mjs';

// -----------------
// Operation
// -----------------
const Key = 'AddConfigLinesOperation';
const addConfigLinesOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const addConfigLinesOperationHandler = {
  async handle(operation, metaplex) {
    const {
      candyMachineAddress,
      authoritySigner,
      index,
      configLines,
      confirmOptions
    } = operation.input;
    const {
      signature,
      confirmResponse
    } = await metaplex.rpc().sendAndConfirmTransaction(addConfigLinesBuilder({
      candyMachine: candyMachineAddress,
      authority: authoritySigner,
      index,
      configLines
    }), undefined, confirmOptions);
    return {
      transactionId: signature,
      confirmResponse
    };
  }

};

export { addConfigLinesOperation, addConfigLinesOperationHandler };
//# sourceMappingURL=addConfigLines.mjs.map
