import { CandyMachine } from '@metaplex-foundation/mpl-candy-machine';
import { getSpaceForCandy, getConfigLinesCount, getConfigLines, assertName, assertSymbol, assertUri, assertCreators } from './candyMachineInternals.mjs';
import { BaseAccount } from '../../../types/BaseAccount.mjs';

class CandyMachineAccount extends BaseAccount {
  get size() {
    return getSpaceForCandy(this.data.data);
  }

  static getConfigLinesCount(rawData) {
    return getConfigLinesCount(rawData);
  }

  static getConfigLines(rawData) {
    return getConfigLines(rawData);
  }

  static assertName(name) {
    return assertName(name);
  }

  static assertSymbol(symbol) {
    return assertSymbol(symbol);
  }

  static assertUri(uri) {
    return assertUri(uri);
  }

  static assertCreators(creators) {
    assertCreators(creators);
  }

  static assertConfigLineConstraints({
    name,
    uri
  }) {
    CandyMachineAccount.assertName(name);
    CandyMachineAccount.assertUri(uri);
  }

  static from(unparsedAccount) {
    return new CandyMachineAccount(CandyMachineAccount.parse(unparsedAccount, CandyMachine));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? CandyMachineAccount.from(maybe) : maybe;
  }

}

export { CandyMachineAccount };
//# sourceMappingURL=CandyMachineAccount.mjs.map
