import { createAddConfigLinesInstruction } from '@metaplex-foundation/mpl-candy-machine';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.mjs';

function addConfigLinesBuilder(params) {
  const {
    candyMachine,
    authority,
    index,
    configLines,
    instructionKey = 'addConfigLinesToCandyMachine'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createAddConfigLinesInstruction({
      candyMachine,
      authority: authority.publicKey
    }, {
      index,
      configLines
    }),
    signers: [authority],
    key: instructionKey
  });
}

export { addConfigLinesBuilder };
//# sourceMappingURL=addConfigLinesBuilder.mjs.map
