import { createUpdateAuthorityInstruction } from '@metaplex-foundation/mpl-candy-machine';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.mjs';

function updateAuthorityBuilder(params) {
  const {
    candyMachine,
    authority,
    wallet,
    newAuthority,
    instructionKey = 'updateCandyMachineAuthority'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createUpdateAuthorityInstruction({
      candyMachine,
      authority: authority.publicKey,
      wallet
    }, {
      newAuthority
    }),
    signers: [authority],
    key: instructionKey
  });
}

export { updateAuthorityBuilder };
//# sourceMappingURL=updateAuthorityBuilder.mjs.map
