import { createUpdateCandyMachineInstruction } from '@metaplex-foundation/mpl-candy-machine';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.mjs';

function updateCandyMachineBuilder(params) {
  const {
    candyMachine,
    authority,
    wallet,
    data,
    instructionKey = 'updateCandyMachine'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createUpdateCandyMachineInstruction({
      candyMachine,
      authority: authority.publicKey,
      wallet
    }, {
      data
    }),
    signers: [authority],
    key: instructionKey
  });
}

export { updateCandyMachineBuilder };
//# sourceMappingURL=updateCandyMachineBuilder.mjs.map
