import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { Signer } from "../../types";
import { MetaplexFile } from "../storageModule";
import { Creator } from '@metaplex-foundation/mpl-candy-machine';
import { JsonMetadata, JsonMetadataFile, UploadMetadataInput } from "../nftModule";
import type { CandyMachineClient } from './CandyMachineClient';
export declare type UploadAssetProperties = {
    creators?: Creator[];
    files?: JsonMetadataFile<MetaplexFile | string>[];
    [key: string]: unknown;
};
export declare type UploadAssetToCandyMachineParams = UploadMetadataInput & {
    candyMachineAddress: PublicKey;
    authoritySigner: Signer;
    properties?: UploadAssetProperties;
    addToCandyMachine?: boolean;
    confirmOptions?: ConfirmOptions;
};
export declare function uploadAssetForCandyMachine(this: CandyMachineClient, params: UploadAssetToCandyMachineParams): Promise<{
    metadata: JsonMetadata<string>;
    uri: string;
    addAssetsTransactionId: string | undefined;
}>;
export declare type CandyMachineAsset = Omit<UploadAssetToCandyMachineParams, 'candyMachineAddress' | 'authoritySigner'>;
export declare type UploadAssetsToCandyMachineParams = {
    candyMachineAddress: PublicKey;
    authoritySigner: Signer;
    assets: MetaplexFile[];
    parallel?: boolean;
    addToCandyMachine?: boolean;
    confirmOptions?: ConfirmOptions;
};
export declare type UploadedAsset = {
    uri: string;
    metadata: JsonMetadata<string>;
    name: string;
};
export declare function uploadAssetsForCandyMachine(this: CandyMachineClient, params: UploadAssetsToCandyMachineParams): Promise<{
    addAssetsTransactionId: string | undefined;
    uploadedAssets: UploadedAsset[];
    candyMachine: import("./CandyMachine").CandyMachine;
    errors: unknown[];
}>;
