/// <reference types="node" />
import { CandyMachine, Creator } from '@metaplex-foundation/mpl-candy-machine';
import { BaseAccount, UnparsedAccount, UnparsedMaybeAccount } from "../../../types";
export declare class CandyMachineAccount extends BaseAccount<CandyMachine> {
    get size(): number;
    static getConfigLinesCount(rawData: Buffer): number;
    static getConfigLines(rawData: Buffer): import("@metaplex-foundation/mpl-candy-machine").ConfigLine[];
    static assertName(name: string): void;
    static assertSymbol(symbol: string): void;
    static assertUri(uri: string): void;
    static assertCreators(creators: Creator[]): void;
    static assertConfigLineConstraints({ name, uri, }: {
        name: string;
        uri: string;
    }): void;
    static from(unparsedAccount: UnparsedAccount): CandyMachineAccount;
    static fromMaybe(maybe: UnparsedMaybeAccount): {
        publicKey: import("@solana/web3.js").PublicKey;
        exists: false;
    } | CandyMachineAccount;
}
